petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLayoutSetBlockSize

Sets the block size for a PetscLayout object.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetBlockSize(PetscLayout map,PetscInt bs)

Logically Collective on PetscLayout Many br

### Input Parameters

| map | - pointer to the map Many br
| bs | - the size Many br

Many br

### Notes

Call this after the call to PetscLayoutCreate() Many br

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutGetBlockSize(),
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutSetUp() Many br

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages